/*!
 * @file heat_particle.h
 * @brief A particle system to be used to generate particles that disturb the environment 
*/

#ifndef _HEAT_PARTICLES_H
#define _HEAT_PARTICLES_H

#include "sprite_particles.h"

//! A particle system to be used to generate particles that disturb the environment 
class HeatParticles : public SpriteParticles
{
 ObjectListDeclaration(HeatParticles);

 public:
  HeatParticles(const TiXmlElement* root = NULL);
  virtual ~HeatParticles();

};

#endif /* _HEAT_PARTICLES_H */
